package de.intevation.flys.client.server.auth.was;

import java.util.Date;
import java.util.List;

import de.intevation.flys.client.server.auth.DefaultUser;

public class User
extends DefaultUser
implements de.intevation.flys.client.server.auth.User {

    private Assertion assertion;

    public User(String name, String password, List<String> roles, Assertion assertion) {
        this.setName(name);
        this.setPassword(password);
        this.setRoles(roles);
        this.assertion = assertion;
    }

    @Override
    public boolean hasExpired() {
        Date until = this.assertion.getUntil();
        if (until != null) {
            Date current = new Date();
            return !current.after(until);
        }
        return false;
    }
}

// vim:set ts=4 sw=4 si et fenc=utf8 tw=80:
